### Enumeration

# AppStream FormatVersion

since: 1.0

#### Declaration

    enum AppStream.FormatVersion

#### Description [src]

Format version / API level of the AppStream metadata.

Available since: 1.0

#### Members

`AS_FORMAT_VERSION_UNKNOWN`

  Unknown format version.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_FORMAT_VERSION_V1_0`

  1.0

  - Value: `1`
  - Nickname: `v1-0`
  - Available since: 1.0

#### Type functions

###### as_format_version_from_string

Converts the text representation to an enumerated value.

since: 0.10.0

###### as_format_version_to_string

Converts the enumerated value to an text representation.

since: 0.10.0